Locations
Locations represent the physical places where you deploy Devices.
Retrieve all Locations configured in the organization
Role: Location Manager, Organization Manager
Scope: organization_read
id of the organization (aka tenant)
Filter by a tag or a list of tags comma separated
Array with the list of Locations
Error
GET /v1/organizations/{cid}/locations HTTP/1.1
Host: explore.cloud4wi.com/
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"generated": "text",
"size": 1,
"locations": [
{
"id": "text",
"name": "text",
"organziationId": "text",
"lat": 1,
"lng": 1,
"timezone": "text",
"address": {
"address": "text",
"city": "text",
"state": "text",
"zip": "text",
"country": "text"
},
"externalId": "text",
"tags": [
"text"
]
}
]
}List locations belongs to an organization
Scope: organization_read
Location id
Array with the list of Locations
Error
GET /v1/locations/{lid} HTTP/1.1
Host: explore.cloud4wi.com/
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"generated": "text",
"size": 1,
"location": {
"id": "text",
"name": "text",
"organziationId": "text",
"lat": 1,
"lng": 1,
"timezone": "text",
"address": {
"address": "text",
"city": "text",
"state": "text",
"zip": "text",
"country": "text"
},
"externalId": "text",
"tags": [
"text"
]
}
}Add a new location
Read https://create.cloud4wi.com/dev-hub/api-reference/getting-started/locations for details
Role: Organization Manager
Scope: organization_write
id of the organization (aka tenant)
In format "Europe/Rome"
country code as ISO 3166-1 alpha-2.
valid category: other, consumer electronics, sports center, fast food, disco, pools, bar, ice cream, piano bar, underwear, cinema, computers, footwear, gyms, sandwich, sporting goods, hairstyle, public administration, phone, hotels, pizzeria, coffee, restaurants, clothing, pub
internet plan id at organization level
Response
new tags added
POST /v1/organizations/{cid}/locations HTTP/1.1
Host: explore.cloud4wi.com/
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 320
{
"name": "text",
"loginProfileId": "text",
"timezone": "text",
"locationProfileId": "text",
"welcomePortalId": "text",
"country": "text",
"address": "text",
"city": "text",
"state": "text",
"zip": "text",
"onNet": true,
"externalId": "text",
"description": "text",
"categoryName": "text",
"tags": [
"text"
],
"enabled": true,
"organizationPlanId": "text"
}Response
{
"generated": "text",
"status": "text",
"locationId": "text",
"newTags": [
"text"
]
}Update a location
Role: Organization Manager
Scope: organization_write
id of the organization (aka tenant)
id of the location
valid category: other, consumer electronics, sports center, fast food, disco, pools, bar, ice cream, piano bar, underwear, cinema, computers, footwear, gyms, sandwich, sporting goods, hairstyle, public administration, phone, hotels, pizzeria, coffee, restaurants, clothing, pub
country code as ISO 3166-1 alpha-2.
Response
new tags added
PUT /v1/organizations/{cid}/locations/{lid} HTTP/1.1
Host: explore.cloud4wi.com/
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 188
{
"name": "text",
"description": "text",
"categoryName": "text",
"tags": [
"text"
],
"externalId": "text",
"country": "text",
"address": "text",
"city": "text",
"state": "text",
"zip": "text",
"timezone": "text"
}Response
{
"generated": "text",
"status": "text",
"locationId": "text",
"newTags": [
"text"
]
}Delete a location
Role: Organization Manager
Scope: organization_write
id of the organization (aka tenant)
id of the location
Response
DELETE /v1/organizations/{cid}/locations/{lid} HTTP/1.1
Host: explore.cloud4wi.com/
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
Response
{
"generated": "text",
"status": "text"
}Required input parameters
To use the Create Location API the following parameters are mandatory:
locationProfileIdwelcomePortalIdloginProfileId
These parameters can be extracted in the following ways:
locationProfileId
In Cloud4Wi dashboard follow the path:
Manage -> Location Profiles -> *Select the Location Profile of interest
welcomePortalId
In Cloud4Wi dashboard follow the path
Guest WiFi -> Splash Pages -> *Select the Splash Page of interest
loginProfileId
In Cloud4Wi dashboard follow the path
Guest WiFi -> Login Profiles -> *Select the Login Profile of interest
organizationPlanId
In Cloud4wi dashboard follow the path
Guest Wifi -> Internet Plans -> *Select the Internet Plan of interest
Last updated
Was this helpful?